#include<bits/stdc++.h>
using namespace std;
int main(){
int n,k;
cin>>n>>k;
int biskvitki[100000];
for(int i=0;i<n;i++){
    cin>>biskvitki[i];
}
int pobitovoIli=0,broi=0;
if(k!=1){
    for(int i=0;i<n-1;i++){
        pobitovoIli=biskvitki[i]|biskvitki[i+1];
        if(pobitovoIli>=k){
            broi++;
        }
        for(int j=i+2;j<n;j++){
            pobitovoIli=pobitovoIli|biskvitki[j];
            if(pobitovoIli>=k){
                broi++;
            }
        }
    }
    for(int i=0;i<n;i++){
        if(biskvitki[i]>=k){
            broi++;
        }
    }
    cout<<broi<<endl;
}else{
    for(int i=0;i<=n;i++){
        broi=broi+i;
    }
    for(int i=0;i<n;i++){
        if(biskvitki[i]<1){
            broi--;
        }
    }
    cout<<broi<<endl;
}
return 0;
}
